# Cosplay

This is the design repository for NorCal Hakkero Factory No. 1, where we use
parametric CAD to make cosplay props.

## Development

Most cosplay schematics are created with Blender, CadQuery, and Inkscape. To
enter into a CadQuery environment, install `poetry` and use
```sh
poetry install
poetry shell
```
and this should succeed
```sh
python3 -c "import nhf"
```

To visualize an object, create a file `visualize.py`, and run `cq-editor`:

``` sh
python3 -m cq_editor visualize.py
```

## Testing

Run all tests with
``` sh
python3 -m unittest
```

